Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ProcessInstanceData

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ProcessInstanceData

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  HaltedProcessInstanceData

    public class ProcessInstanceData

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Details of a Process Template Instance.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ProcessInstanceData()`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`long` | `getDuration()` Duration of the process ( in milliseconds ).
`java.lang.String` | `getEndTime()` Time when the instance was completed.
`java.lang.String` | `getErrorMsg()`
`java.lang.String` | `getFailedActivity()`
`java.lang.String` | `getFailedDateTime()`
`java.lang.String` | `getOriginator()` The resource who started the instance.
`java.lang.String` | `getPriority()` Priority of the process.
`java.lang.String` | `getProcessId()` Ths ID of the instance.
`java.lang.String` | `getProcessState()` The state of the process instance (pi_started, pi_completed etc).
`java.lang.String` | `getStartTime()` Time when the instance was started.
`java.lang.String` | `getTemplate()`
`void` | `setDuration(long duration)` Duration of the process ( in milliseconds ).
`void` | `setEndTime(java.lang.String endTime)` Time when the instance was completed.
`void` | `setErrorMsg(java.lang.String errorMsg)`
`void` | `setFailedActivity(java.lang.String failedActivity)`
`void` | `setFailedDateTime(java.lang.String failedDateTime)`
`void` | `setOriginator(java.lang.String originator)` The resource who started the instance.
`void` | `setPriority(java.lang.String priority)` Priority of the process.
`void` | `setProcessId(java.lang.String processId)` The state of the process instance (pi_started, pi_completed etc).
`void` | `setProcessState(java.lang.String processState)` TODO Describe this method
`void` | `setStartTime(java.lang.String startTime)` Time when the instance was started.
`void` | `setTemplate(java.lang.String template)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceData

    public ProcessInstanceData()

Method Detail

### getOriginator

    public java.lang.String getOriginator()

  The resource who started the instance.

  Returns:
    Returns the originator.

### setOriginator

    public void setOriginator(java.lang.String originator)

  The resource who started the instance.

  Parameters:
    `originator` - The originator to set.

### getProcessId

    public java.lang.String getProcessId()

  Ths ID of the instance.

  Returns:
    Returns the processId.

### setProcessId

    public void setProcessId(java.lang.String processId)

  The state of the process instance (pi_started, pi_completed etc).

  Parameters:
    `processId` - The processId to set.

### getProcessState

    public java.lang.String getProcessState()

  The state of the process instance (pi_started, pi_completed etc).

  Returns:
    Returns the processState.

### setProcessState

    public void setProcessState(java.lang.String processState)

  TODO Describe this method

  Parameters:
    `processState` - The processState to set.

### getStartTime

    public java.lang.String getStartTime()

  Time when the instance was started.

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(java.lang.String startTime)

  Time when the instance was started.

  Parameters:
    `startTime` - The startTime to set.

### getEndTime

    public java.lang.String getEndTime()

  Time when the instance was completed.

  Returns:
    Returns the endTime.

### setEndTime

    public void setEndTime(java.lang.String endTime)

  Time when the instance was completed.

  Parameters:
    `endTime` - The endTime to set.

### getDuration

    public long getDuration()

  Duration of the process ( in milliseconds ).

  Returns:
    Returns the duration.

### setDuration

    public void setDuration(long duration)

  Duration of the process ( in milliseconds ).

  Parameters:
    `duration` - The duration to set.

### getPriority

    public java.lang.String getPriority()

  Priority of the process.

  Returns:
    Returns the priority.

### setPriority

    public void setPriority(java.lang.String priority)

  Priority of the process.

  Parameters:
    `priority` - The priority to set.

### getTemplate

    public java.lang.String getTemplate()

### setTemplate

    public void setTemplate(java.lang.String template)

### getErrorMsg

    public java.lang.String getErrorMsg()

### setErrorMsg

    public void setErrorMsg(java.lang.String errorMsg)

### getFailedActivity

    public java.lang.String getFailedActivity()

### setFailedActivity

    public void setFailedActivity(java.lang.String failedActivity)

### getFailedDateTime

    public java.lang.String getFailedDateTime()

### setFailedDateTime

    public void setFailedDateTime(java.lang.String failedDateTime)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.